lnkinfo

NAME
lnkinfo - determines information about a Windows Shortcut File (LNK)

SYNOPSIS
lnkinfo [-c codepage] [-hvV] source

DESCRIPTION
lnkinfo is a utility to determine information about a Windows Shortcut File (LNK)

lnkinfo is part of the liblnk package. liblnk is a library to access the Windows Shortcut File (LNK) format

source is the source file.

The options are as follows:

-c codepage
    specify the codepage of ASCII strings, options: ascii, windows-874, windows-932, windows-936, windows-949, windows-950, windows-1250, windows-1251, windows-1252 (default), windows-1253, windows-1254, windows-1255, windows-1256, windows-1257 or windows-1258

-h  shows this help

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # lnkinfo Calculator.lnk
    lnkinfo 20140831

    Windows Shortcut information:
    	Contains a link target identifier
    	Contains a description string
    	Contains a working directory string
    	Contains an environment variables block

    Link information:
    	Creation time			: Aug 10, 2004 16:54:24.000000000 UTC
    	Modification time		: Aug 04, 2004 14:00:00.000000000 UTC
    	Access time			: Jun 26, 2006 10:36:41.703125000 UTC
    	File size			: 114688 bytes
    	File attribute flags		: 0x00000020
    		Should be archived (FILE_ATTRIBUTE_ARCHIVE)
    	Drive type			: Fixed (3)
    	Drive serial number		: 0xc868f004
    	Volume label			: System
    	Local path			: C:\WINDOWS\system32\calc.exe
    	Description			: @%SystemRoot%\system32\shell32.dll,-22531
    	Working directory		: C:\WINDOWS\system32
    	Environment variables location	: %SystemRoot%\system32\calc.exe

    Link target identifier:
    	Shell item list
    		Number of items		: 5

    	Shell item: 1
    		Item type		: Root folder
    		Class type indicator	: 0x1f (Root folder)
    		Shell folder identifier	: 20d04fe0-3aea-1069-a2d8-08002b30309d
    		Shell folder name	: My Computer

    	Shell item: 2
    		Item type		: Volume
    		Class type indicator	: 0x2f (Volume)
    		Volume name		: C:\

    	Shell item: 3
    		Item type		: File entry
    		Class type indicator	: 0x31 (File entry: Directory)
    		Name			: WINDOWS
    		Modification time	: Dec 17, 2006 20:55:44
    		File attribute flags	: 0x00000010
    			Is directory (FILE_ATTRIBUTE_DIRECTORY)
    	Extension block: 1
    		Signature		: 0xbeef0004 (File entry extension)
    		Long name		: WINDOWS
    		Creation time		: Feb 01, 2006 21:49:46
    		Access time		: Dec 17, 2006 20:55:48

    	Shell item: 4
    		Item type		: File entry
    		Class type indicator	: 0x31 (File entry: Directory)
    		Name			: system32
    		Modification time	: Nov 26, 2006 19:56:54
    		File attribute flags	: 0x00000030
    			Is directory (FILE_ATTRIBUTE_DIRECTORY)
    			Should be archived (FILE_ATTRIBUTE_ARCHIVE)
    	Extension block: 1
    		Signature		: 0xbeef0004 (File entry extension)
    		Long name		: system32
    		Creation time		: Feb 01, 2006 21:49:46
    		Access time		: Dec 17, 2006 20:49:46

    	Shell item: 5
    		Item type		: File entry
    		Class type indicator	: 0x32 (File entry: File)
    		Name			: calc.exe
    		Modification time	: Aug 04, 2004 14:00:00
    		File attribute flags	: 0x00000020
    			Should be archived (FILE_ATTRIBUTE_ARCHIVE)
    	Extension block: 1
    		Signature		: 0xbeef0004 (File entry extension)
    		Long name		: calc.exe
    		Creation time		: Aug 10, 2004 16:54:24
    		Access time		: Jun 26, 2006 10:36:42

    Distributed link tracking data:
    	Machine identifier		: hostname
    	Droid volume identifier		: f6084ef7-7b6a-41e7-a286-e376c0ffd656
    	Droid file identifier		: b7d0e438-4422-48b0-be9d-b4bc8794cef6
    	Birth droid volume identifier	: f6084ef7-7b6a-41e7-a286-e376c0ffd656
    	Birth droid file identifier	: b7d0e438-4422-48b0-be9d-b4bc8794cef6

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/liblnk/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2009-2024, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO